<?php
/* Copyright (C) 2015		Charles-fr BENKE 			  <charles.fr@benke.fr>
 * Copyright (C) 2016	    Philippe SAGOT (Philazerty)   <courrier@mon-dolibarr.fr>
 * Copyright (C) 2017	    Laurent DINCLAUX (loxK)       <laurent@gecka.nc>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

/**
 *  \file       htdocs/geckanewcaledonia/admin/about.php
 *  \ingroup    geckanewcaledonia
 *  \brief      about page
 */

// Dolibarr environment
//uggly hack to work around module being symlink to a dolibarr install
$_dir = dirname(dirname(dirname($_SERVER['SCRIPT_FILENAME'])));

$res = 0;
if (! $res && file_exists($_dir . "/main.inc.php")) {
    $res = @include($_dir . "/main.inc.php");
}        // For root directory
if (! $res && file_exists($_dir . "/../main.inc.php")) {
    $res = @include($_dir . "/../main.inc.php");
}    // For "custom" directory

require_once DOL_DOCUMENT_ROOT . '/core/lib/admin.lib.php';
dol_include_once('/geckanewcaledonia/core/lib/main.lib.php');

$langs->load("admin");
$langs->load("geckanewcaledonia@geckanewcaledonia");

// Access control
if (!$user->admin) {
    accessforbidden();
}

/*
 * View
 */
llxHeader('', $langs->trans("GeckaNewCaledonia"), $help_url);

$linkback='<a href="'.DOL_URL_ROOT.'/admin/modules.php">'.$langs->trans("BackToModuleList").'</a>';
print load_fiche_titre($langs->trans("GeckaNewCaledoniaSetup"), $linkback, 'title_setup');

// Configuration header
$head = geckanewcaledonia_admin_prepare_head();
dol_fiche_head($head, 'guide', $langs->trans("GeckaNewCaledonia"), 0, "list");

?>
<h2>Guide de configuration de Dolibarr pour la Nouvelle-Calédonie</h2>
<h3>Installer le module</h3>
<p>
S'assurer que dans <code>htdocs/conf/conf.php</code> les lignes suivantes sont décommentées:
</p>
<pre>
$dolibarr_main_url_root_alt='/custom';
$dolibarr_main_document_root_alt='/srv/dolibarr/htdocs/custom';
</pre>
<p>
    Copier le dossier du module dans <code>htdocs/custom</code> (le dossier doit bien s'appeler 'geckanewcaledonia')
</p>
<h3>Configurer Dolibarr</h3>
<p><strong>Note:</strong> Ces étapes sont pour une nouvelle installation mais en les parcourant vous pouvez vérifier et ajuster une configuration existante.</p>
<ul>
    <li>Après le premier login, configurer les infos de la société (<em>Acceuil > Configuration > Société/Institution</em>) comme proposé. Bien choisir la Nouvelle-Calédonie comme pays et Francs CFP (XPF) comme devise<br><br></li>

    <li>Ensuite aller dans <em>Acceuil > Configuration > Modules</em></li>
    <li>Activer le module "Pack FR"</li>
    <li>Cliquez l'icone de configuration</li>
    <li>Allez ensuite sur l'onglet dictionnaires</li>
    <li>Insérer toutes les données dictionnaires<br><br></li>

    <li>Assurez vous d'être sur le bon language par défaut. Aller sur <em>Acceuil > Configuration > Affichage</em>. Choisissez "Français (Nouvelle-Calédonie)" comme langue par défaut.<br><br></li>

    <li>Aller dans Acceuil > Configuration >Traduction et activer la réécriture des traductions en haut à droite</li>

    <li>Retournez modifier votre société (<em>Acceuil > Configuration > Société/Institution</em>) et renseignez notamment la forme juridique. Si vous facturez de la TSS activez la deuxième taxe.<br><br></li>

    <li>Aller dans <em>Acceuil > Configuration > Lmites et précisions</em> et configurez les décimales (il n'y en a pas pour le CFP)<br><br></li>

    <li>Retournez dans <em>Acceuil > Configuration > Modules</em> et activez et configurez les modules que vous souhaitez. Quand il y en a de disponibles, activez les modèles PDF fournis par le Pack NC dans la configuration des modules.<br><br></li>
    <li>Pour configurer vos modèles selon vos goûts, allez dans <em>Acceuil > Configuration > Modules</em> et cliquez l'icone de configuration du PACK NC</li>
</ul>
